<template>
  <div class="time-slider-container d-flex flex-grow-1 bg-light">
    <vue-slider tooltip="none" :min="0" :max="48" :adsorb="true" v-model="currentHour"></vue-slider>
  </div>
</template>

<script>
import VueSlider from 'vue-slider-component'
import MomentMixin from '@/core/mixins/moment'
import ParentWorkspaceMixin from '@/dashboard/mixins/ParentWorkspace'
import { mutationNameResolve, CHANGE_STEP } from '@/store/workspace/mutations'

export default {
  name: 'timeslider',

  mixins: [
    MomentMixin,
    ParentWorkspaceMixin,
  ],

  computed: {
    currentHour: {
      get() {
        return this.$store.state[this.workspace].step
      },

      set(value) {
        this.$store.commit(mutationNameResolve(this.workspace, CHANGE_STEP), { step: value })
      },
    },
  },

  components: {
    VueSlider
  },
}
</script>

<style scoped>
.time-slider-container .vue-slider.vue-slider-ltr {
  width: 100% !important;
  padding: 1rem 1rem !important;
}
</style>
